## org.eclipse.emf.exporter.ui.contribution
Class ModelExporterManager.ModelExporterDescriptorImpl

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
          org.eclipse.emf.exporter.ui.contribution.ModelExporterManager.ModelExporterDescriptorImpl

All Implemented Interfaces:
  ModelConverterDescriptor, ModelExporterDescriptor

Enclosing class:
  ModelExporterManager

    public static class ModelExporterManager.ModelExporterDescriptorImpl

extends ModelConverterManager.ModelConverterDescriptorImpl
implements ModelExporterDescriptor

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
`configurationElement, description, icon, id, name`

Constructor Summary
`ModelExporterManager.ModelExporterDescriptorImpl()`

Method Summary
`IWorkbenchWizard` `createWizard()`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl
`createExecutableExtension, getDescription, getIcon, getID, getName, setDescription, setIcon, setID, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.converter.ui.contribution.ModelConverterDescriptor
`getDescription, getIcon, getID, getName`

Constructor Detail

### ModelExporterManager.ModelExporterDescriptorImpl

    public ModelExporterManager.ModelExporterDescriptorImpl()

Method Detail

### createWizard

    public IWorkbenchWizard createWizard()

  Specified by:
    `createWizard` in interface `ModelExporterDescriptor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.